[arch-commits] CVS update of extra/gnome/mail-notification (2 files)

Jan de Groot jgc at archlinux.org
Sun Apr 22 13:48:47 EDT 2007


    Date: Sunday, April 22, 2007 @ 13:48:47
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/mail-notification

Modified: PKGBUILD (1.10 -> 1.11) mail-notification.install (1.5 -> 1.6)

upgpkg: mail-notification 4.0-3
Move to /usr


---------------------------+
 PKGBUILD                  |   26 +++++++++++++-------------
 mail-notification.install |   18 +++++++++---------
 2 files changed, 22 insertions(+), 22 deletions(-)


Index: extra/gnome/mail-notification/PKGBUILD
diff -u extra/gnome/mail-notification/PKGBUILD:1.10 extra/gnome/mail-notification/PKGBUILD:1.11
--- extra/gnome/mail-notification/PKGBUILD:1.10	Sun Apr  1 14:50:32 2007
+++ extra/gnome/mail-notification/PKGBUILD	Sun Apr 22 13:48:47 2007
@@ -1,12 +1,15 @@
+# $Id: PKGBUILD,v 1.11 2007/04/22 17:48:47 jgc Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=mail-notification
 pkgver=4.0
-pkgrel=2
+pkgrel=3
 pkgdesc="Tray icon application that informs you if you have new mail"
 arch=(i686 x86_64)
 url="http://www.nongnu.org/mailnotify/"
-license=(GPL)
-depends=('eel>=2.18.0' 'cyrus-sasl-plugins' 'gmime>=2.2.6' 'libnotify>=0.4.4')
-makedepends=('gob2' 'perlxml' 'evolution')
+license=('GPL')
+depends=('eel>=2.18.0-2' 'cyrus-sasl-plugins' 'gmime>=2.2.6' 'libnotify>=0.4.4' 'scrollkeeper')
+makedepends=('gob2' 'perlxml' 'evolution>=2.10.1-2' 'pkgconfig')
+options=('nolibtool')
 source=(http://savannah.nongnu.org/download/mailnotify/${pkgname}-${pkgver}.tar.gz)
 install=mail-notification.install
 md5sums=('0e10b221de4389fa9275fb7bf52dc010')
@@ -18,15 +21,12 @@
     sed -i -e 's/-scrollkeeper-update.*//' omf.make
   fi
 
-  ./configure --prefix=/opt/gnome
-  make LDFLAGS+="-R/opt/gnome/lib/evolution/2.10" || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var --disable-static
+  make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
-  rm ${startdir}/pkg/opt/gnome/lib/evolution/*/plugins/*.{l,}a
 
-  mkdir -p ${startdir}/pkg/opt/gnome/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/opt/gnome/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
-
-  mkdir -p ${startdir}/pkg/usr/share
-  mv ${startdir}/pkg/opt/gnome/share/icons ${startdir}/pkg/usr/share/
+  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 } 
Index: extra/gnome/mail-notification/mail-notification.install
diff -u extra/gnome/mail-notification/mail-notification.install:1.5 extra/gnome/mail-notification/mail-notification.install:1.6
--- extra/gnome/mail-notification/mail-notification.install:1.5	Fri Feb  2 07:29:11 2007
+++ extra/gnome/mail-notification/mail-notification.install	Sun Apr 22 13:48:47 2007
@@ -1,11 +1,10 @@
 pkgname=mail-notification
 
 post_install() {
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
-  opt/gnome/bin/gconftool-2 --makefile-install-rule opt/gnome/share/gconf/schemas/${pkgname}.schemas >/dev/null
-  kill -s HUP `pidof /opt/gnome/libexec/bonobo-activation-server` > /dev/null 2>&1
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+  usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
+  kill -s HUP `pidof bonobo-activation-server` > /dev/null 2>&1
   scrollkeeper-update -q -p var/lib/scrollkeeper
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
@@ -18,19 +17,20 @@
 }
 
 pre_remove() {
-  if [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
+  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
+    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
+  elif [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
     schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
   else
     schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
   fi
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
   
-  opt/gnome/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
+  usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
 }
 
 post_remove() {
-  kill -s HUP `pidof /opt/gnome/libexec/bonobo-activation-server` > /dev/null 2>&1
-  update-desktop-database -q
+  kill -s HUP `pidof bonobo-activation-server` > /dev/null 2>&1
   scrollkeeper-update -q -p var/lib/scrollkeeper
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }




More information about the arch-commits mailing list